# Install erlang.
#
class erlang {

  case $::operatingsystem {
    'centos','redhat','fedora': {
      package { 'erlang':
        ensure => installed,
      }
    }
    'debian','ubuntu': {
      package { [ 'erlang', 'erlang-base' ]:
        ensure => installed,
      }
    }
    default: {
      fail("erlang not supported on ${::operatingsystem}.")
    }
  }

}
